#
# spec file for package python-pbs-installer
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pbs-installer
Version:        2025.4.9
Release:        1.1
Summary:        Installer for Python Build Standalone
License:        MIT
URL:            https://github.com/frostming/pbs-installer
Source:         https://files.pythonhosted.org/packages/source/p/pbs-installer/pbs_installer-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module pdm-backend}
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun): update-alternatives
Suggests:       python-httpx >= 0.27.0
Suggests:       python-zstandard >= 0.21.0
Suggests:       python-pbs-installer
BuildArch:      noarch
%python_subpackages

%description
An installer for @indygreg's python-build-standalone

%prep
%autosetup -p1 -n pbs_installer-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_clone -a %{buildroot}%{_bindir}/pbs-install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# No tests
%{python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python -c "import pbs_installer"}

%post
%python_install_alternative pbs-install

%postun
%python_uninstall_alternative pbs-install

%files %{python_files}
%python_alternative %{_bindir}/pbs-install
%{python_sitelib}/pbs_installer
%{python_sitelib}/pbs_installer-%{version}.dist-info

%changelog
* Fri Apr 11 2025 Dirk Müller <dmueller@suse.com>
- update to 2025.4.9:
  * No upstream Changelog. Use git diff:
  https://github.com/frostming/pbs-installer/compare/2024.02.12...2025.04.09
* Wed Mar 12 2025 Ben Greiner <code@bnavigator.de>
- Update to 2025.2.12
  * No upstream Changelog. Use git diff:
  https://github.com/frostming/pbs-installer/compare/2024.10.10...2025.02.12
* Wed Nov 20 2024 Dirk Müller <dmueller@suse.com>
- update to 2024.10.10:
  * **Full Changelog**: https://github.com/frostming/pbs-
    installer/compare/2024.08.14...2024.10.10
* Sat Aug 31 2024 Dirk Müller <dmueller@suse.com>
- update to 2024.08.14:
  * **Full Changelog**: https://github.com/frostming/pbs-
    installer/compare/2024.8.9...2024.08.14
* Tue Aug 20 2024 Andreas Schneider <asn@cryptomilk.org>
- Add sle15_python_module_pythons
* Tue Jul  2 2024 Daniel Garcia <daniel.garcia@suse.com>
- Initial version (2024.4.24)
